;;; $DOOMDIR/config.el -*- lexical-binding: t; -*-

;; Place your private configuration here! Remember, you do not need to run 'doom
;; sync' after modifying this file!
(setq doom-font (font-spec :family "Iosevka Term" :size 12 :weight 'semi-light)
      doom-variable-pitch-font (font-spec :family "Iosevka Term"))

;; Some functionality uses this to identify you, e.g. GPG configuration, email
;; clients, file templates and snippets.
(setq user-full-name "Dorian Wood"
      user-mail-address "dorian@threeraccoons.com")

;; Doom exposes five (optional) variables for controlling fonts in Doom. Here
;; are the three important ones:
;;
;; + `doom-font'
;; + `doom-variable-pitch-font'
;; + `doom-big-font' -- used for `doom-big-font-mode'; use this for
;;   presentations or streaming.
;;
;; They all accept either a font-spec, font string ("Input Mono-12"), or xlfd
;; font string. You generally only need these two:
;; (setq doom-font (font-spec :family "monospace" :size 12 :weight 'semi-light)
;;       doom-variable-pitch-font (font-spec :family "sans" :size 13))

;; There are two ways to load a theme. Both assume the theme is installed and
;; available. You can either set `doom-theme' or manually load a theme with the
;; `load-theme' function. This is the default:
;;(setq doom-theme 'solarized-dark)
(setq doom-theme 'doom-one)

;; If you use `org' and don't want your org files in the default location below,
;; change `org-directory'. It must be set before org loads!
(setq org-directory "~/org/")

;; This determines the style of line numbers in effect. If set to `nil', line
;; numbers are disabled. For relative line numbers, set this to `relative'.
(setq display-line-numbers-type t)


;; Here are some additional functions/macros that could help you configure Doom:
;;
;; - `load!' for loading external *.el files relative to this one
;; - `use-package!' for configuring packages
;; - `after!' for running code after a package has loaded
;; - `add-load-path!' for adding directories to the `load-path', relative to
;;   this file. Emacs searches the `load-path' when you load packages with
;;   `require' or `use-package'.
;; - `map!' for binding new keys
;;
;; To get information about any of these functions/macros, move the cursor over
;; the highlighted symbol at press 'K' (non-evil users must press 'C-c c k').
;; This will open documentation for it, including demos of how they are used.
;;
;; You can also try 'gd' (or 'C-c c d') to jump to their definition and see how
;; they are implemented.
;; Set the default browser to emacs-w3m
;;(setq browse-url-browser-function `w3m-browse-url)
(setq browse-url-browser-function `browse-url-firefox)
(autoload `w3m-browse-url "w3m" "Ask a WWW browser to show a URL." t)

(defun copy-all ()
  "Copy entire buffer to clipboard"
  (interactive)
      (clipboard-kill-ring-save (point-min) (point-max)))
;; Use xclip.el to synce emacs kill buffer with x system clipboard
(xclip-mode 1)

(defun date ()
  (interactive)
  (insert (format-time-string "%Y-%m-%d")))

(defun time ()
  (interactive)
  (insert (format-time-string "%H:%M:%S")))

;; Initialize elfeed-org
;; This hooks up elfeed-org to read the configuration when elfeed
;; is started with =M-x elfeed=
(elfeed-org)
;; Set up leader keys for use with elfeed
(map! :leader
      (:prefix-map ("e" . "elfeed")
       :desc "Switch to Elfeed buffer"  "f" #'elfeed
       :desc "Update Feeds"             "u" #'elfeed-update)
      (:prefix-map ("t" . "toggle")
       :desc "Turn off Evil-Mode"       "e" #'turn-off-evil-mode))

;; Set up SLIME for fscking around with LISP
(load (expand-file-name "~/.quicklisp/slime-helper.el"))
(setq inferior-lisp-program "sbcl")
;; Enable fast copy/move in dired when two windows are open
(setq dired-dwim-target t)
